------------------------------------------------------------------
-- Titre	: Read_ADC
-- Projet	: FULL_CONTACQT
------------------------------------------------------------------
-- Fichier	: Read_Word.vhd
-- Auteur	: François Wicek
-- créé le	: 20 avril 2007
-- modifié	: 
------------------------------------------------------------------
-- Description:
-- Presente sur le bus d'entrée 8 bits de l'interface USB les 
-- données de 
------------------------------------------------------------------

LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY Read_Word IS
	PORT
	(
	reset		: IN	STD_LOGIC;
	n_read		: IN	STD_LOGIC;	-- horloge pour la sm et l'ADC
	selection	: IN	STD_LOGIC;	-- selection lecture 
	word_x		: IN	STD_LOGIC_VECTOR(7 DOWNTO 0); -- registre à lire
	User_Data	: INOUT	STD_LOGIC_VECTOR(7 DOWNTO 0) -- bus USB
	);
END	Read_Word;

ARCHITECTURE behv OF Read_Word IS

BEGIN


write_USB	: PROCESS (reset,n_read,selection)
	BEGIN
	IF (reset = '0')THEN	
		User_Data	<= "ZZZZZZZZ";	
	ELSE
		IF ( n_read = '0' AND selection = '1') THEN -- selection sel_word
				User_Data	<= word_x;	
		ELSE
				User_Data	<= "ZZZZZZZZ";	
		END IF;
	END IF;
END PROCESS write_USB;

END behv;
	
	